#
# Conditional build:
%bcond_with	kerberos5	# Kerberos 5 support [TODO: heimdal support; needs MIT currently]
%bcond_with	uoa		# single sign-on (aka Ubuntu Online Accounts) in TPAW
%bcond_with	webkitinspector	# WebKitInspector for the embedded web view

Summary:	Provide online accounts information
Summary(pl.UTF-8):	Dostarczanie informacji o kontach w serwisach sieciowych
Name:		gnome-online-accounts
Version:	3.22.4
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-online-accounts/3.22/%{name}-%{version}.tar.xz
# Source0-md5:	38325287e9df34ea3e16cc2810fdd748
Patch0:		%{name}-link.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.6.2
BuildRequires:	gtk+3-devel >= 3.20.0
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	gtk-webkit4-devel >= 2.7.2
BuildRequires:	intltool >= 0.50.1
BuildRequires:	json-glib-devel
%{?with_uoa:BuildRequires:	libaccount-plugin-devel}
%{?with_uoa:BuildRequires:	libaccounts-glib-devel >= 1.4}
BuildRequires:	libsecret-devel >= 0.5
%{?with_uoa:BuildRequires:	libsignon-glib-devel >= 1.8}
BuildRequires:	libsoup-devel >= 2.42.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxml2-devel >= 2
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig >= 1:0.16
BuildRequires:	rest-devel >= 0.7
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.22.0
%{?with_uoa:BuildRequires:	telepathy-mission-control-devel >= 5.13.1}
BuildRequires:	udev-glib-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires:	%{name}-libs = %{version}-%{release}
%if %{with kerberos5}
BuildRequires:	gcr-devel >= 3
BuildRequires:	krb5-devel
%endif
Requires(post,postun):	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gnome-online-accounts provides interfaces so applications and
libraries in GNOME can access the user's online accounts.

%description -l pl.UTF-8
gnome-online-accounts udostępnia interfejsy pozwalające aplikacjom i
bibliotekom GNOME na dostęp do kont użytkownika w serwisach
sieciowych.

%package libs
Summary:	gnome-online-accounts libraries
Summary(pl.UTF-8):	Biblioteki gnome-online-accounts
Group:		Libraries
Requires:	glib2 >= 1:2.40.0
Requires:	gtk+3 >= 3.20.0
Requires:	gtk-webkit4 >= 2.7.2
%{?with_uoa:Requires:	libaccounts-glib >= 1.4}
Requires:	libsecret >= 0.5
%{?with_uoa:Requires:	libsignon-glib >= 1.8}
Requires:	libsoup >= 2.42.0
Requires:	telepathy-glib >= 0.22.0
Conflicts:	gnome-online-accounts < 3.8.2-1.1

%description libs
gnome-online-accounts libraries.

%description libs -l pl.UTF-8
Biblioteki gnome-online-accounts.

%package devel
Summary:	Development files for gnome-online-accounts libraries
Summary(pl.UTF-8):	Pliki programistyczne bibliotek gnome-online-accounts
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.40.0
Requires:	gtk+3-devel >= 3.20.0

%description devel
The gnome-online-accounts-devel package contains the header files for
developing applications that use gnome-online-accounts.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących gnome-online-accounts.

%package apidocs
Summary:	GOA API documentation
Summary(pl.UTF-8):	Dokumentacja API GOA
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
GOA API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API GOA.

%package -n vala-gnome-online-accounts
Summary:	Vala API for gnome-online-accounts libraries
Summary(pl.UTF-8):	API języka Vala do bibliotek gnome-online-accounts
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.16.0
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-gnome-online-accounts
Vala API for gnome-online-accounts libraries.

%description -n vala-gnome-online-accounts -l pl.UTF-8
API języka Vala do bibliotek gnome-online-accounts.

%prep
%setup -q
%patch0 -p1

rm m4/glib-gettext.m4

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd telepathy-account-widgets
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ..
%configure \
	--disable-silent-rules \
	--disable-static \
	%{!?with_uoa:--disable-ubuntu-online-accounts} \
	--enable-foursquare \
	--enable-gtk-doc \
	%{?with_webkitinspector:--enable-inspector} \
	%{?with_kerberos5:--enable-kerberos} \
	--enable-media-server \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/goa-1.0/web-extensions/lib*.la

%find_lang gnome-online-accounts --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f gnome-online-accounts.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_libexecdir}/goa-daemon
%dir %{_libdir}/goa-1.0
%dir %{_libdir}/goa-1.0/web-extensions
%attr(755,root,root) %{_libdir}/goa-1.0/web-extensions/libgoawebextension.so
%{_datadir}/dbus-1/services/org.gnome.OnlineAccounts.service
%{_datadir}/glib-2.0/schemas/org.gnome.online-accounts.gschema.xml
%{_iconsdir}/hicolor/*/apps/goa-account*.png
%{_iconsdir}/hicolor/*/apps/im-*.png
%{_iconsdir}/hicolor/*/apps/im-*.svg
%{_mandir}/man8/goa-daemon.8*
%{_libdir}/girepository-1.0/Goa-1.0.typelib
%{_datadir}/gnome-online-accounts

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgoa-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgoa-1.0.so.0
%attr(755,root,root) %{_libdir}/libgoa-backend-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgoa-backend-1.0.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgoa-1.0.so
%attr(755,root,root) %{_libdir}/libgoa-backend-1.0.so
%dir %{_libdir}/goa-1.0
%{_libdir}/goa-1.0/include
%{_includedir}/goa-1.0
%{_datadir}/gir-1.0/Goa-1.0.gir
%{_pkgconfigdir}/goa-1.0.pc
%{_pkgconfigdir}/goa-backend-1.0.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/goa

%files -n vala-gnome-online-accounts
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/goa-1.0.deps
%{_datadir}/vala/vapi/goa-1.0.vapi
%changelog
* Tue Jan 10 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-online-accounts.git;a=log;h=master

* Tue Jan 10 2017 Marcin Banasiak <marcin.banasiak@gmail.com> a8a545e
- Update to 3.22.4

* Sat Nov 12 2016 Marcin Banasiak <marcin.banasiak@gmail.com> d89c31a
- Update to 3.22.2

* Wed Oct 12 2016 Marcin Banasiak <marcin.banasiak@gmail.com> dac6d14
- Update to 3.22.1

* Thu Sep 29 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 44b025f
- Update to 3.22.0

* Mon Aug 01 2016 Jakub Bogusz <qboosh@pld-linux.org> 3bccf49
- updated to 3.20.3

* Tue Jul 12 2016 Marcin Banasiak <marcin.banasiak@gmail.com> e8a8a77
- Update to 3.20.2

* Tue Apr 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 7613b51
- updated gtk+3 version

* Mon Apr 11 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 7b05478
- Update to 3.20.1

* Sun Mar 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> cbbb43e
- Mark vala subpackage as noarch

* Sun Mar 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 39fe8ce
- Update to 3.20.0

* Sat Feb 20 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 0344e73
- Update to 3.18.4

* Sat Dec 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 869a43d
- updated to 3.18.3

* Thu Nov 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 881f595
- updated to 3.18.2.1

* Wed Oct 14 2015 Marcin Banasiak <marcin.banasiak@gmail.com> e410ace
- Update to 3.18.1

* Fri Oct 02 2015 Jakub Bogusz <qboosh@pld-linux.org> bd9adb7
- dropped obsolete gnome-doc-*, updated pkgconfig version

* Mon Sep 28 2015 Marcin Banasiak <marcin.banasiak@gmail.com> ccc4191
- Update to 3.18.0

* Wed Jun 17 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 26f26e6
- Update to 3.16.3

* Tue May 19 2015 Łukasz Kieś <kiesiu@pld-linux.org> 1a9cbbe
- updated to 3.16.2

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 901c0c3
- updated to 3.16.0

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> a1d19b6
- x32 rebuild
- release 2 (by relup.sh)

